### Method

# Soup MessageBody append_take

#### Declaration [src]

    void
    soup_message_body_append_take (
      SoupMessageBody* body,
      guchar* data,
      gsize length
    )

#### Description [src]

Appends `length` bytes from `data` to `body`.

This function is exactly equivalent to `soup_message_body_append()` with `SOUP_MEMORY_TAKE` as second argument; it exists mainly for convenience and simplifying language bindings.

This method is renamed to `soup_message_body_append()` in language bindings

#### Parameters

`data`

  Type: An array of `guchar`

  Data to append.

  The length of the array is specified in the `length` argument.
  The instance takes ownership of the data, and is responsible for freeing it.

`length`

  Type: `gsize`

  Length of `data`.